Name:           perl-Archive-Extract
Version:        0.24
Release:        1%{?dist}
Summary:        Generic archive extracting mechanism
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Archive-Extract/
Source0:        http://www.cpan.org/authors/id/K/KA/KANE/Archive-Extract-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IPC::Cmd) >= 0.36
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::Load::Conditional) >= 0.04
BuildRequires:  perl(Params::Check) >= 0.07
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Archive::Extract is a generic archive extraction mechanism.

%prep
%setup -q -n Archive-Extract-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 20 2007 Steven Pritchard <steve@kspei.com> 0.24-1
- Update to 0.24.
- BR Test::More.

* Wed May 30 2007 Steven Pritchard <steve@kspei.com> 0.22-1
- Update to 0.22.

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.18-1
- Update to 0.18.
- BR ExtUtils::MakeMaker.

* Sat Jan 27 2007 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16.
- BR: IPC::Cmd >= 0.36.

* Fri Nov 03 2006 Steven Pritchard <steve@kspei.com> 0.14-1
- Update to 0.14.
- Use fixperms macro instead of our own chmod incantation.
- BR IPC::Cmd >= 0.29.

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Rebuild.

* Fri Aug 18 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Update to 0.12.
- Add CHANGES to docs.

* Sat Aug 05 2006 Steven Pritchard <steve@kspei.com> 0.11-1
- Update to 0.11.

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.08-1
- Specfile autogenerated by cpanspec 1.62.
- Fix License.
